import 'package:fcs/domain/entities/fcs_shipment.dart';

abstract class FcsShipmentService {
  Future<void> createFcsShipment(FcsShipment fcsShipment);
  Future<void> updateFcsShipment(FcsShipment fcsShipment);
  Future<void> deleteFcsShipment(FcsShipment fcsShipment);
  Future<void> ship(FcsShipment fcsShipment);
  Future<String> report(FcsShipment fcsShipment);
}
